Runtime

## org.eclipse.gmf.runtime.diagram.ui.providers.ide.providers
Class DiagramIDEGlobalActionHandlerProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandlerProvider
              org.eclipse.gmf.runtime.diagram.ui.providers.ide.providers.DiagramIDEGlobalActionHandlerProvider

All Implemented Interfaces:
  IProvider, IGlobalActionHandlerProvider

    public final class DiagramIDEGlobalActionHandlerProvider

extends AbstractGlobalActionHandlerProvider

The provider for the DiagramIDEGlobalActionHandler.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gmf.runtime.common.ui.services.action.global.IGlobalActionHandlerProvider
`IGlobalActionHandlerProvider.NullElementType`

Constructor Summary
`DiagramIDEGlobalActionHandlerProvider()` Constructor for DiagramGlobalActionHandlerProvider.

Method Summary
`IGlobalActionHandler` `getGlobalActionHandler(IGlobalActionHandlerContext context)` Returns a `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandlerProvider
`provides`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### DiagramIDEGlobalActionHandlerProvider

    public DiagramIDEGlobalActionHandlerProvider()

  Constructor for DiagramGlobalActionHandlerProvider.

Method Detail

### getGlobalActionHandler

    public IGlobalActionHandler getGlobalActionHandler(IGlobalActionHandlerContext context)

  Description copied from class: `AbstractGlobalActionHandlerProvider`
  Returns a `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`

  Specified by:
    `getGlobalActionHandler` in interface `IGlobalActionHandlerProvider`
  Overrides:
    `getGlobalActionHandler` in class `AbstractGlobalActionHandlerProvider`
  Parameters:
    `context` - The context information
  Returns:
    The global action handler associated with the context

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.